## org.apache.commons.math3.linear
Class SchurTransformer.ShiftInfo

    java.lang.Object
      org.apache.commons.math3.linear.SchurTransformer.ShiftInfo

Enclosing class:
  SchurTransformer

    private static class SchurTransformer.ShiftInfo

extends java.lang.Object

Internal data structure holding the current shift information. Contains variable names as present in the original JAMA code.

Field Summary
`(package private) double` `exShift` Indicates an exceptional shift.
`(package private) double` `w` w shift info
`(package private) double` `x` x shift info
`(package private) double` `y` y shift info

Constructor Summary
`private` `SchurTransformer.ShiftInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    double x

  x shift info

### y

    double y

  y shift info

### w

    double w

  w shift info

### exShift

    double exShift

  Indicates an exceptional shift.

Constructor Detail

### SchurTransformer.ShiftInfo

    private SchurTransformer.ShiftInfo()

Copyright (c) 2003-2013 Apache Software Foundation